[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# fdatasync

Synchronize the data in memory with the data on storage device

## Declaration

Source position: linux.pp line 377

`function fdatasync(`
`fd: cint`
`):cint;`

## Description

fdatasync does the same as fpfsync but does not flush the metadata, unless it is vital to the correct reading/writing of the file. In practice, this means that unless the file size changed, the file metadata will not be synced.

## See also

#rtl.unix.fsync |  | Synchronize file's kernel data with disk.